### Function

# FwupdPlugin efi_variable_store_state_to_string

#### Declaration [src]

    const gchar*
    fu_efi_variable_store_state_to_string (
      FuEfiVariableStoreState val
    )

#### Description [src]

Converts an enumerated value to a string.

#### Parameters

`val` | `FuEfiVariableStoreState`
| Value, e.g. `FU_EFI_VARIABLE_STORE_STATE_HEALTHY`.

#### Return value

Returns: | `const gchar*`
| Identifier string.
| The data is owned by the called function.
| The value is a NUL terminated UTF-8 string.